Bug 973906 - [broker_50] Meet " undefined local variable or method `usage_additional_plugins" while running oo-admin-chk --help
[broker_50] Meet " undefined local variable or method `usage_additional_plugi...
Status: CLOSED CURRENTRELEASE
Product: OpenShift Online
Classification: Red Hat
Component: Pod (Show other bugs)
2.x
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Ravi Sankar
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-13 01:50 EDT by Xiaoli Tian
Modified: 2015-05-14 20:17 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-24 10:53:52 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Xiaoli Tian 2013-06-13 01:50:28 EDT
Description of problem:
While running oo-admin-chk --help, it will meet the following error:
# oo-admin-chk --help
/usr/sbin/oo-admin-chk:40:in `usage': undefined local variable or method `usage_additional_plugins' for main:Object (NameError)
from /usr/sbin/oo-admin-chk:61:in `<main>'


Version-Release number of selected component (if applicable):
devenv_3554

How reproducible:
Always

Steps to Reproduce:
1. Run oo-admin-chk --help from instance


Actual results:
/usr/sbin/oo-admin-chk:40:in `usage': undefined local variable or method `usage_additional_plugins' for main:Object (NameError)
from /usr/sbin/oo-admin-chk:61:in `<main>'


Expected results:

It should display the usage correctly

Additional info:
Comment 1 Ravi Sankar 2013-06-14 01:00:48 EDT
Fixed in devenv_3360.
Comment 2 zhaozhanqi 2013-06-14 01:36:14 EDT
Tested this issue on devenv_3360, it has been fixed.

[root@ip-10-196-79-9 ~]# oo-admin-chk --help
== Synopsis

/usr/sbin/oo-admin-chk: Check all user applications

== Usage

/usr/sbin/oo-admin-chk OPTIONS

Options:
-v|--verbose
    Print information about each check being performed
-l|--level [0, 1]
    Level '0' is default, and checks to see if any gears are present in mongo but don't exist on the nodes and vice-versa.
    Level '1' performs checks such as integrity of consumed_gears count
    Level '1' performs checks for application data integrity in mongo and checks for unused and unreserved gear UIDs
    Level '1' performs integrity checks for user plan and usage in mongo vs Aria billing provider.
-h|--help
    Show Usage info


[root@ip-10-196-79-9 ~]# oo-admin-chk -h
== Synopsis

/usr/sbin/oo-admin-chk: Check all user applications

== Usage

/usr/sbin/oo-admin-chk OPTIONS

Options:
-v|--verbose
    Print information about each check being performed
-l|--level [0, 1]
    Level '0' is default, and checks to see if any gears are present in mongo but don't exist on the nodes and vice-versa.
    Level '1' performs checks such as integrity of consumed_gears count
    Level '1' performs checks for application data integrity in mongo and checks for unused and unreserved gear UIDs
    Level '1' performs integrity checks for user plan and usage in mongo vs Aria billing provider.
-h|--help
    Show Usage info

Note You need to log in before you can comment on or make changes to this bug.